Package: org.codehaus.groovy.runtime.callsite

## [Java] Class ConstructorSite

- org.codehaus.groovy.runtime.callsite.ConstructorSite

-     public class ConstructorSite
      extends MetaClassSite

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `ConstructorSite.ConstructorSiteNoUnwrap` | Call site where we know there is no need to unwrap arguments
    `static class` | `ConstructorSite.ConstructorSiteNoUnwrapNoCoerce` | Call site where we know there is no need neither unwrap nor coerce arguments
    `static class` | `ConstructorSite.NoParamSite` |
    `static class` | `ConstructorSite.NoParamSiteInnerClass` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaClassSite` | `metaClass`
    `class AbstractCallSite` | `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `callConstructor(Object receiver, Object[] args)`
    `` | `protected final boolean` | `checkCall(Object receiver, Object[] args)`
    `` | `public static ConstructorSite` | `createConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCallSite` | `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

- - ### Constructor Detail

    - #### public ConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)

  - ### Method Detail

    - #### @Override public Object callConstructor(Object receiver, Object[] args)

    - #### protected final boolean checkCall(Object receiver, Object[] args)

    - #### public static ConstructorSite createConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params, Object[] args)